summaryrefslogtreecommitdiffstats
path: root/haskell/haskell-hslua
diff options
context:
space:
mode:
Diffstat (limited to 'haskell/haskell-hslua')
-rw-r--r--haskell/haskell-hslua/README5
-rw-r--r--haskell/haskell-hslua/doinst.sh1
-rw-r--r--haskell/haskell-hslua/haskell-hslua.SlackBuild108
-rw-r--r--haskell/haskell-hslua/haskell-hslua.info10
-rw-r--r--haskell/haskell-hslua/slack-desc19
5 files changed, 143 insertions, 0 deletions
diff --git a/haskell/haskell-hslua/README b/haskell/haskell-hslua/README
new file mode 100644
index 0000000000..ec2cf91ca2
--- /dev/null
+++ b/haskell/haskell-hslua/README
@@ -0,0 +1,5 @@
+The Scripting.Lua module is a wrapper of Lua language interpreter as
+described in www.lua.org.
+
+After uninstalling, run this command to unregister the package from
+the ghc package database: ghc-pkg recache
diff --git a/haskell/haskell-hslua/doinst.sh b/haskell/haskell-hslua/doinst.sh
new file mode 100644
index 0000000000..3268c238bf
--- /dev/null
+++ b/haskell/haskell-hslua/doinst.sh
@@ -0,0 +1 @@
+chroot . /usr/bin/ghc-pkg recache
diff --git a/haskell/haskell-hslua/haskell-hslua.SlackBuild b/haskell/haskell-hslua/haskell-hslua.SlackBuild
new file mode 100644
index 0000000000..fadde97b10
--- /dev/null
+++ b/haskell/haskell-hslua/haskell-hslua.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for hslua
+
+# Copyright 2015 Mikko Värri, Finland
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=haskell-hslua
+VERSION=${VERSION:-0.3.13}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$( echo $PRGNAM | cut -d- -f2- )"
+
+GHC_VERSION=$(ghc --numeric-version)
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+runghc Setup configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libsubdir=ghc-${GHC_VERSION}/$SRCNAM-$VERSION \
+ --enable-shared \
+ --enable-library-profiling \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+runghc Setup build
+runghc Setup haddock
+runghc Setup copy --destdir=$PKG
+runghc Setup register --gen-pkg-config
+
+PKGCONFD=/usr/lib${LIBDIRSUFFIX}/ghc-${GHC_VERSION}/package.conf.d
+PKGID=$( grep -E "^id: " $SRCNAM-$VERSION.conf | cut -d" " -f2 )
+mkdir -p $PKG/$PKGCONFD
+mv $SRCNAM-$VERSION.conf $PKG/$PKGCONFD/$PKGID.conf
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG.md COPYRIGHT $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/haskell/haskell-hslua/haskell-hslua.info b/haskell/haskell-hslua/haskell-hslua.info
new file mode 100644
index 0000000000..b3bf4245b6
--- /dev/null
+++ b/haskell/haskell-hslua/haskell-hslua.info
@@ -0,0 +1,10 @@
+PRGNAM="haskell-hslua"
+VERSION="0.3.13"
+HOMEPAGE="http://hackage.haskell.org/package/hslua"
+DOWNLOAD="http://hackage.haskell.org/packages/archive/hslua/0.3.13/hslua-0.3.13.tar.gz"
+MD5SUM="4fc85cad09464dd767747041202e5b17"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="haskell-mtl"
+MAINTAINER="Mikko Värri"
+EMAIL="vmj@linuxbox.fi"
diff --git a/haskell/haskell-hslua/slack-desc b/haskell/haskell-hslua/slack-desc
new file mode 100644
index 0000000000..20a76bc331
--- /dev/null
+++ b/haskell/haskell-hslua/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+haskell-hslua: haskell-hslua (A Lua language interpreter embedding in Haskell)
+haskell-hslua:
+haskell-hslua: The Scripting.Lua module is a wrapper of Lua language interpreter as
+haskell-hslua: described in www.lua.org.
+haskell-hslua:
+haskell-hslua:
+haskell-hslua:
+haskell-hslua:
+haskell-hslua:
+haskell-hslua:
+haskell-hslua: